Bug 503591 - Review Request: python-catwalk - A way to view your models using TurboGears
Review Request: python-catwalk - A way to view your models using TurboGears
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On: 503590 503592
Blocks: 468804
  Show dependency treegraph
 
Reported: 2009-06-01 15:47 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: 2.0.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-03 15:00:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
apevec: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2009-06-01 15:47:28 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-catwalk.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-catwalk-2.0.2-1.fc10.src.rpm

Description:
Catwalk is a database manipulation application built on top of TurboGears.
With it you can easily interact with your application data model and manage
your data.
Comment 1 Alan Pevec 2009-09-21 17:11:03 EDT
Maybe I'm missing something, but how come this blocks 468230 (TG2 review) if it is built _on top of_ TG ? Shouldn't 468230 be in "Depends on" ?
Comment 2 Nils Philippsen 2009-09-23 17:48:51 EDT
According to the spec files, neither TurboGears2 nor python-catwalk requires or build requires the other package. Okay if I remove python-catwalk blocking TG2?
Comment 3 Luke Macken 2009-09-25 14:29:15 EDT
(In reply to comment #2)
> According to the spec files, neither TurboGears2 nor python-catwalk requires or
> build requires the other package. Okay if I remove python-catwalk blocking TG2?  

python-tg-devtools contains the `paster quickstart` command that spits out TG2 apps, which does require python-catwalk.  So this shouldn't block TG2, but python-tg-devtools.
Comment 4 Alan Pevec 2009-09-28 13:30:14 EDT
Here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[=] MUST: rpmlint must be run on every package.

python-catwalk-2.0.2-1.fc10.src.rpm:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

python-catwalk.noarch: W: no-documentation

=> upstream tarball doesn't include documentation either

python-catwalk.noarch: E: zero-length /usr/lib/python2.6/site-packages/catwalk/tg2/test/lib/base.py
python-catwalk.noarch: E: zero-length /usr/lib/python2.6/site-packages/catwalk/tg2/test/lib/helpers.py

=> these are present in the upstream source tarball

1 packages and 0 specfiles checked; 2 errors, 1 warnings.

These errors and warning are not blockers.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[n/a] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.

e301fad3aa9c0888f9ff03b9f556bf46  Catwalk-2.0.2.tar.gz

[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[n/a] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[n/a] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro.
[n/a] MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun.
[n/a] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[n/a] MUST: Large documentation files should go in a doc subpackage.
[n/a] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[n/a] MUST: Header files must be in a -devel package.
[n/a] MUST: Static libraries must be in a -static package.
[n/a] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
[n/a] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[n/a] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
[n/a] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[n/a] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

APPROVED
Comment 5 Luke Macken 2009-09-28 14:15:05 EDT
New Package CVS Request
=======================
Package Name: python-catwalk
Short Description: A way to view your models using TurboGears
Owners: lmacken toshio
Branches: F-11 EL-5
Comment 6 Kevin Fenzi 2009-09-29 15:55:08 EDT
cvs done (with F-12).
Comment 7 Luke Macken 2009-09-30 16:06:57 EDT
Built in rawhide, waiting on python-sprox to hit stable for EL-5, and F12 is locked so we'll need to go through releng for that branch.
Comment 8 Fedora Update System 2009-10-01 10:04:29 EDT
python-catwalk-2.0.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-catwalk-2.0.2-1.fc11
Comment 9 Fedora Update System 2009-10-03 15:00:44 EDT
python-catwalk-2.0.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.